Subject: Re: help moving boost.org to git

From: Johannes Sixt <[email-masked]>
Date: Mon, 05 Jul 2010 16:48:52 +0200

Am 7/5/2010 16:16, schrieb Eric Niebler:
> I have a question about the best approach to take for refactoring a
> large svn project into git. The project, boost.org, is a collection of
> C++ libraries (>100) that are mostly independent. (There may be
> cross-library dependencies, but we plan to handle that at a higher
> level.) After the move to git, we'd like each library to be in its own
> git repository.

You could use svn2git: http://gitorious.org/svn2git
KDE uses it to split its SVN repository into pieces. The tool is driven by
a "ruleset" that specifies SVN subdirectories and revision numbers that
make up a module.

-- 
"Atomic objects are neither active nor radioactive." --
Programming Languages -- C++, Final Committee Draft (Doc.N3092)